%define pkgname		control-center
%define libnamedev	%mklibname -d gnome-window-settings

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	GNOME control center
Name:		gnome-%{pkgname}
Version:	3.4.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/softwaremap/projects/control-center/
Source0:        http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         gnome-control-center-3.1.4-fix-locale-archive-location.patch
Patch1:		gnome-control-center-fix-categories.patch
BuildRequires:	cups-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(colord) >= 0.1.8
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.23.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.14
BuildRequires:	pkgconfig(gnome-bluetooth-1.0) >= 3.3.0
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.1.0
BuildRequires:	pkgconfig(gnome-settings-daemon) >= 3.3.90
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.3.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.5
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.13
BuildRequires:	pkgconfig(libgnome-menu-3.0)
BuildRequires:	pkgconfig(libgnomekbd) >= 2.91.91
BuildRequires:	pkgconfig(libgnomekbdui) >= 2.91.91
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(libnotify) >= 0.7.3
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:	pkgconfig(libwacom)
BuildRequires:	pkgconfig(libxklavier) >= 5.1
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi) >= 1.2
BuildRequires:	pkgconfig(NetworkManager) >= 0.8.992
BuildRequires:	pkgconfig(libnm-glib) >= 0.8.992
BuildRequires:	pkgconfig(libnm-glib-vpn) => 0.8.992
BuildRequires:	pkgconfig(libnm-util) >= 0.8.992
BuildRequires:	pkgconfig(libnm-gtk) >= 0.8.992
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	pkgconfig(cheese-gtk) >= 2.91.91.1
BuildRequires:	scrollkeeper
BuildRequires:	shared-mime-info
Requires:	gnome-settings-daemon >= 2.21.5
Requires:	gnome-icon-theme-symbolic
Requires:	gnome-color-manager
Requires:	glib-networking
Requires:	apg
Requires:	cups-pk-helper
# (ovitters) if networkmanager causes any issues, please file bug + cc ovitters+wally
Suggests:	networkmanager-applet
# (cjw) allow libproxy to read proxy config set by network panel
Requires:	%mklibname proxy-gnome
# (ovitters) bluetooth panel can call program from gnome-bluetooth + requires icon from gnome-bluetooth
Requires:	gnome-bluetooth

Conflicts:	gnome-color-manager < 3.1.2-1
Conflicts:	gnome-settings-daemon < 3.1.1-1
Conflicts:	gnome-bluetooth < 1:3.3.2

%description
GNOME Control-center is a configuration tool for easily
setting up your GNOME environment.

%package -n %{libnamedev}
Summary:	Development files for GNOME control center
Group:		Development/GNOME and GTK+
Provides:	gnome-window-settings-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the development files and headers for GNOME
control center.

%prep
%setup -q
%patch0 -p0 -b .locale-archive-location
%patch1 -p1 -b .fix-categories

%build
%configure2_5x \
	--disable-static \
	--disable-scrollkeeper \
	--disable-update-mimedb \
	--with-libsocialweb=no \
	--with-cheese=no

%make

# no support for Unity in desktop files yet, so remove references to it
find . -name '*.desktop' -exec sed -ie 's/;Unity//' {} ';'

%install
rm -rf %{buildroot}

%makeinstall_std

#ugly fix for desktop files
find %{buildroot} -name *.desktop -exec sed -i -e '/Keywords.*;$/!s/\(Keywords.*\)/\1;/g' {} \;

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="PersonalSettings" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%{find_lang} %{pkgname}-2.0 --with-gnome --all-name

mkdir -p %{buildroot}%{_datadir}/gnome-background-properties

# we do want this
mkdir -p %{buildroot}%{_datadir}/gnome/wm-properties

# we don't want these
rm -rf %{buildroot}%{_datadir}/gnome/autostart
rm -rf %{buildroot}%{_datadir}/gnome/cursor-fonts

# remove useless libtool archive files
find %{buildroot} -name '*.la' -exec rm -f {} \;

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/applications/mimeinfo.cache \
 %{buildroot}/var/lib/scrollkeeper

%files -f %{pkgname}-2.0.lang
%doc AUTHORS NEWS README
%dir %{_datadir}/gnome/wm-properties
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings
%{_datadir}/gnome-control-center/bluetooth.ui
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/gnome-control-center/ui
%{_datadir}/gnome-control-center/pixmaps
%{_datadir}/gnome-control-center/datetime/
%{_datadir}/gnome-control-center/sounds/gnome-sounds-default.xml
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/gnome-control-center/icons/
%{_datadir}/sounds/gnome/default/*/*.ogg
# list all binaries explicitly, so we notice if one goes missing
%{_bindir}/gnome-control-center
%{_bindir}/gnome-sound-applet
%{_sysconfdir}/xdg/autostart/gnome-sound-applet.desktop
%{_sysconfdir}/xdg/menus/gnomecc.menu
%dir %{_libdir}/control-center-1
%{_libdir}/control-center-1/panels/libbackground.so
%{_libdir}/control-center-1/panels/libbluetooth.so
%{_libdir}/control-center-1/panels/libcolor.so
%{_libdir}/control-center-1/panels/libdate_time.so
%{_libdir}/control-center-1/panels/libdisplay.so
%{_libdir}/control-center-1/panels/libinfo.so
%{_libdir}/control-center-1/panels/libkeyboard.so
%{_libdir}/control-center-1/panels/libmouse-properties.so
%{_libdir}/control-center-1/panels/libonline-accounts.so
%{_libdir}/control-center-1/panels/libpower.so
%{_libdir}/control-center-1/panels/libprinters.so
%{_libdir}/control-center-1/panels/libregion.so
%{_libdir}/control-center-1/panels/libscreen.so
%{_libdir}/control-center-1/panels/libsound.so
%{_libdir}/control-center-1/panels/libuniversal-access.so
%{_libdir}/control-center-1/panels/libuser-accounts.so
%{_libdir}/control-center-1/panels/libwacom-properties.so
%{_libdir}/control-center-1/panels/libnetwork.so
%{_datadir}/pixmaps/faces
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.datetime.policy

%files -n %{libnamedev}
%{_datadir}/pkgconfig/*


%changelog

* Sat Apr 28 2012 fwang <fwang> 3.4.1-2.mga2
+ Revision: 234044
- fix conflicts on gnome-bluetooth

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231065
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226782
- new version 3.4.0

* Sat Mar 24 2012 ovitters <ovitters> 3.3.92-3.mga2
+ Revision: 226087
- add requires on gnome-bluetooth; it can call bluetooth-wizard + needs icon from this package

* Thu Mar 22 2012 tv <tv> 3.3.92-2.mga2
+ Revision: 225681
- suggests instead of requires nm-applet
  (real fix would be to split out nm-connection-editor)

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224298
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220368
- update file list
- new version 3.3.91

  + wally <wally>
    - bump gnome-settings-daemon dep

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212277
- new version

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206494
- update file list
- new version

  + tv <tv>
    - rebuild for new libwacom

* Wed Jan 18 2012 wally <wally> 3.3.4.1-1.mga2
+ Revision: 197944
- new version 3.3.4.1

* Tue Jan 17 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 197524
- new version 3.3.4
- fix devel pkg summary and description
- add an ugly workaround to fix .desktop files

  + ovitters <ovitters>
    - fix categories in desktop files
    - reenable nm-applet dep (mga#3798)

* Thu Dec 22 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 185637
- br itstool
- new version 3.3.3

* Wed Nov 23 2011 wally <wally> 3.3.2-2.mga2
+ Revision: 171386
- conflict with gnome-bluetooth < 3.3.2 to ensure smooth upgrade

* Wed Nov 23 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 171167
- update file list
- drop lib package
- update file list
- new version 3.3.2

* Wed Nov 09 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 165992
- temporarily disable build with cheese support
- new version 3.2.2

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155795
- new version 3.2.1

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0-3.mga2
+ Revision: 150023
- add BR to enable libcheese support

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0-2.mga2
+ Revision: 150019
- fix BR
- add buildrequires for networkmanager support (mga#2857)

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148819
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145876
- new version 3.1.92

* Tue Sep 06 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 139068
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136559
- update file list
- new version 3.1.90

* Tue Aug 30 2011 fwang <fwang> 3.1.5-1.mga2
+ Revision: 136341
- update file list
- new version 3.1.5

  + wally <wally>
    - drop req for nm-applet for now as nm currently breaks wireless networking
    - add a patch to fix locale-archive location
    - clean and sort BRs
    - drop unused patches
    - require networkmanager-applet
    - new version 3.1.4
    - drop P25

* Tue Jul 19 2011 wally <wally> 3.1.3-7.mga2
+ Revision: 126662
- drop unneeded preun script

* Tue Jul 19 2011 ahmad <ahmad> 3.1.3-6.mga2
+ Revision: 126305
- Move gnome-keybindings.pc to the -devel package
- Change the BR to pkgconfig BR style
- Provide gnome-window-settings-devel instead of libgnome-window-settings-devel
- Provide gnome-window-settings instead of libgnome-window-settings
- Don't run autreconf (needed only for patch19, which isn't applied)
- Use %%configure2_5x
- Clean the spec (some stuff are obsolete now)

* Tue Jul 12 2011 wally <wally> 3.1.3-5.mga2
+ Revision: 123145
- require gnome-color-manager and glib-networking

* Mon Jul 11 2011 wally <wally> 3.1.3-4.mga2
+ Revision: 122201
- add more conflicts for smooth upgrade
- clean .spec a bit

* Wed Jul 06 2011 cjw <cjw> 3.1.3-3.mga2
+ Revision: 119517
- add conflict on old gnome-color-manager because a file was moved

* Wed Jul 06 2011 fwang <fwang> 3.1.3-2.mga2
+ Revision: 119369
- rebuild for new xcb-util

* Tue Jul 05 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 118992
- 3.1.3

  + mikala <mikala>
    - Add cups-pk-helper as a requires
    - Add nm-applet as a suggests

* Wed Jun 22 2011 cjw <cjw> 3.0.2-5.mga2
+ Revision: 112519
- add a dependency on libproxy-gnome so applications that
  use libproxy have access to the gnome 3 proxy config

* Tue Jun 21 2011 cjw <cjw> 3.0.2-4.mga2
+ Revision: 111666
- add BuildRequires: libnm-glib-devel
- add network panel, needed to configure proxy settings

* Sat Jun 18 2011 mikala <mikala> 3.0.2-3.mga2
+ Revision: 109470
- Add gnome-icon-theme-symbolic as a require
- use some macro for BR versionning
- Add apg as a requires (used to generate random password)
- Remove BuildRoot

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 103243
- Fix file list to not require devel packages

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 102760
- Add buildrequires
- Add buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- New version 3.0.2
  Sync configure options with fedora
  Remove la files

* Thu Jan 20 2011 blino <blino> 2.32.1-3.mga1
+ Revision: 25248
- rebuild because of rpm breakage

* Wed Jan 19 2011 blino <blino> 2.32.1-2.mga1
+ Revision: 25012
- remove old obsoletes/provides/conflicts
- remove old version in comments
- remove backgrounds dir patch, we will use default /usr/share/backgrounds for now
- remove old distro backgrounds

* Wed Jan 19 2011 pterjan <pterjan> 2.32.1-1.mga1
+ Revision: 24954
- BuildRequires libsm-devel

  + blino <blino>
    - imported package gnome-control-center


* Mon Nov 22 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 599799
- update to new version 2.32.1

  + John Balcaen <mikala@mandriva.org>
    - Fix BR for libcanberra-gtk-devel

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581342
- update to new version 2.32.0

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 2.31.92.1-1mdv2011.0
+ Revision: 579614
- new version
- drop patch 27

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578821
- new version
- fix build

* Wed Sep 01 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 575079
- new version
- drop patches 20,21
- rediff patch 24

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 570924
- update to new version 2.31.90

* Tue Aug 03 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 565468
- new version
- drop patch 27
- bump gnomekbd dep
- update file list

* Wed Jun 02 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-5mdv2010.1
+ Revision: 546971
- Update default background lists with various mandriva backgrounds and extra backgrounds from community

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-4mdv2010.1
+ Revision: 543368
- Remove obsolete requirements on gstreamer

* Thu Apr 29 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-3mdv2010.1
+ Revision: 540799
- Patch27: fix trailing space in po, causing gconf error

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 540341
- rebuild so that shared libraries are properly stripped again

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539187
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528816
- new version
- rediff patch 19

* Mon Mar 08 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 515844
- update to new version 2.29.92

* Wed Feb 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 510660
- update to new version 2.29.91

* Mon Feb 08 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502220
- update to new version 2.29.90

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 496520
- update to new version 2.29.6

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-5mdv2010.1
+ Revision: 490635
- bump
- rebuild for new libgnome-desktop

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-3mdv2010.1
+ Revision: 489666
- rebuild for new libxklavier

* Thu Dec 24 2009 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 481933
- new version
- rediff patch 19
- drop patches 22,23,25

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-2mdv2010.0
+ Revision: 460077
- Patch26: add mandriva backgrounds directory to default list

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458688
- Release 2.28.1
- Remove patch21, no longer needed
- Patch21 (Fedora): use std icons (GNOME bug #545075)
- Patch22 (Fedora): fix tooltip for wallpapers (GNOME bug #596369)
- Patch23 (Fedora): fix crash in mirror mode (GNOME bug #593866)
- Patch24 (Fedora): fix markup (GNOME bug #597006)

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446554
- update to new version 2.28.0

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-2mdv2010.0
+ Revision: 439758
- update patch 19 from Fedora
- fix build

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420402
- new version
- drop patch 21
- update file list

* Thu Aug 20 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-2mdv2010.0
+ Revision: 418393
- fix appearance applet

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 417442
- new version
- rediff patches 16,18
- drop patch 1
- drop libslab package
- update build deps

* Fri Aug 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-2mdv2010.0
+ Revision: 416369
- fix ui file of proxy preferences (bug #52832)
- add explicit dep on the slab library

* Thu Aug 06 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 410895
- new version
- update build deps
- split out libslab library
- rediff patches 16,18
- temporarily disable patch 19

* Thu Jul 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.4.1-1mdv2010.0
+ Revision: 396625
- new version
- drop extra icons
- new version
- drop patch 21
- add missing icons
- update patch 19

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 390738
- new version
- rediff patch 0
- drop patch 1

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-4mdv2010.0
+ Revision: 390587
- update build deps
- fix for new libxklavier

* Sat Apr 11 2009 Colin Guthrie <cguthrie@mandriva.org> 2.26.0-3mdv2009.1
+ Revision: 366213
- Port touchpad patches from Fedora

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 363056
- fix omf file list

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356489
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347590
- update to new version 2.25.92

* Thu Feb 05 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 337702
- new version
- rediff patch 19
- update file list

* Fri Dec 19 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 316118
- fix build deps
- new version
- fix format strings
- update file list

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 309313
- new version
- update build deps
- update patches 18, 19

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.25.1-2mdv2009.1
+ Revision: 301529
- rebuilt against new libxcb

* Wed Nov 05 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 300049
- new version
- update build deps
- update patch 19
- drop patch 21
- update file list

* Thu Oct 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.24.0.1-2mdv2009.0
+ Revision: 290761
- Patch21 (SVN): fix crash when XRandR is not available

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.0.1-1mdv2009.0
+ Revision: 287875
- new version

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287365
- new version

* Thu Sep 11 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.90-3mdv2009.0
+ Revision: 283837
- Fix BuildRequires
- Patch18 (Fedora): use usermode to change password (Fedora)
- Patch19 (Fedora): allow to change gecos field
- Patch20: fix gecos field display on non-UTF8 locale

* Tue Aug 19 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.90-2mdv2009.0
+ Revision: 273840
- Patch17; force default dpi to 96, don't use X server value

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273734
- new version
- bump deps

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263851
- new version
- drop patch 22
- depend on libcanberra

* Fri Jul 25 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 249130
- fix buildrequires
- new version
- update file list

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231408
- new version
- bump deps
- update license
- rediff patch 22
- update file list

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 2.22.2.1-1mdv2009.0
+ Revision: 212726
- new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192492
- new version
- drop patch 23

* Tue Apr 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-3mdv2008.1
+ Revision: 191435
- Patch23: various fixes from SVN

  + Emmanuel Andry <eandry@mandriva.org>
    - Fix lib group

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183760
- new version

* Thu Feb 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 176064
- new version
- bump deps
- drop patch 23

* Wed Feb 13 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.90-3mdv2008.1
+ Revision: 167107
- Patch23 (Fedora): hide fonts:// button until nautilus supports it

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-2mdv2008.1
+ Revision: 160710
- rebuild for new libxklavier

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159762
- new version
- update schemas list

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-2mdv2008.1
+ Revision: 154061
- remove a conflict with gnome-settings-daemon

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 153276
- fix buildrequires
- new version
- drop patch 23
- depend on new gnome-settings-daemon package
- update file list

* Mon Jan 07 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.4-2mdv2008.1
+ Revision: 146265
- Regenerate patch16 to fix Mdv bug #36539

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 136183
- new version
- drop patches 0,20,21

* Wed Dec 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.2-4mdv2008.1
+ Revision: 134025
- Fix BuildRequires
- Patch23 (Fedora): use gnome-bg API

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.2-3mdv2008.1
+ Revision: 117678
-Patch22 (Fedora): hide "enable sound server" choice and always enable it

* Thu Nov 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.2-2mdv2008.1
+ Revision: 111240
- Improve patch20 and submit it upstream for merge
- Patch21: fix background selection (Mdv bug #35543, GNOME bug #498980)

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 108623
- new version
- update file list

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 104348
- new version
- drop patch 1
- update patch 20
- update file list

* Fri Oct 26 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-2mdv2008.1
+ Revision: 102309
- fix build with new libgnomekbd
- rebuild for new libgnomekbd

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98744
- new version

* Mon Oct 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0.1-2mdv2008.0
+ Revision: 94157
- Remove patch7, no longer needed
- Regenerate patch11 to set correct multimedia keys (fuzzy patch was doing wrong things)

* Wed Sep 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0.1-1mdv2008.0
+ Revision: 93111
- Release 2.20.0.1

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89314
- new version

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79402
- new version

* Wed Aug 29 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 74488
- new version
- rediff patch 3

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63273
- new version

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-2mdv2008.0
+ Revision: 57607
- new devel name

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56901
- new version
- rediff patch 20
- drop patch 21

* Wed Jul 11 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.5-2mdv2008.0
+ Revision: 51304
- Patch0: fix crash when metatheme doesn't specify a xcursor

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50856
- new version
- drop patch 1
- update file list

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 41283
- new version
- update patch 20
- add mime package

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.3-2mdv2008.0
+ Revision: 36163
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - update patches 0,20
    - drop patches 13,21
    - drop legacy menu
    - update file list

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14502
- fix scrollkeeper build
- remove libslab, it is now linked statically
- new version
- drop patches 17,18,19


* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-4mdv2007.1
+ Revision: 148529
- Patch21 (SVN): don't crash if dbus isn't running (GNOME bug #411504)

* Mon Mar 19 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-3mdv2007.1
+ Revision: 146801
- fix theme installer desktop entry (bug #29695)

  + Frederic Crozat <fcrozat@mandriva.com>
    -Patch17 (SVN): fix multimedia key window position (GNOME bug #400915)
    -Patch18 (SVN): fix gthread warning in sound config (GNOME bug #416239)
    -Patch19 (SVN): disable color revert when using default (GNOME bug #417423)

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142054
- new version

* Wed Mar 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-2mdv2007.1
+ Revision: 134184
- use search multimedia key to call beagle or tracker

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126138
- drop patch 17
- new version

* Fri Feb 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.91-2mdv2007.1
+ Revision: 121643
- Patch17 (SVN): fix default applications glade path location

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120235
- new version
- update file list

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-2mdv2007.1
+ Revision: 112516
- useless release bump

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112013
- new version
- add icons

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106368
- new version
- update file list
- fix buildrequires
- handle mime database
- fix menu entries

* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 2.17.3-3mdv2007.1
+ Revision: 102231
- Fix schemas list (one is no longe there)

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 99509
- rebuild for new e-d-s

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 90921
- wrong name
- new version
- rediff menu location patch
- remove icons
- fix buildrequires

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-3mdv2007.1
+ Revision: 89271
- fix buildrequires

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-2mdv2007.1
+ Revision: 87645
- fix buildrequires
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86211
- new version

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-4mdv2007.0
+ Revision: 65964
- fix buildrequires
  explicitly list all binaries

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63800
- rebuild
- unpack patches
- Import gnome-control-center

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Remove acccessibility menu entries from main preferences

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Fri Aug 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-2mdv2007.0
- Requires gstreamer-plugins-good, needed for gconf elements

* Wed Aug 09 2006 Gtz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- drop patches 0,1
- New release 2.15.91

* Thu Aug 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.15.90-5mdv2007.0
- rebuild w/o selinux on x86_64

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-4mdv2007.0
- Rebuild with latest dbus

* Thu Jul 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-3mdv2007.0
- Fix categories for xdg menu

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-2mdv2007.0
- patch for new e-d-s

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- update file list
- New release 2.15.4

* Sat Jun 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-4mdv2007.0
- Use gnome-screensaver instead of xscreensaver

* Mon Jun 19 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-3mdv2007.0
- use new macros
- fix print screen key (GNOME bug #333576)

* Thu Jun 15 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-2mdv2007.0
- fix buildrequires

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- bump deps
- New release 2.15.3

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-3mdv2007.0
- Update source1 with correct path (Mdv bug #22895)

* Wed May 31 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-2mdv2007.0
- fix buildrequires for xorg 7

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Remove patches 0, 12 (merged upstream)
- Regenerate patches 3, 16

* Mon Feb 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-2mdk
- Don't package mime cache

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Wed Nov 30 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- update patch 16
- New release 2.12.2

* Fri Oct 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- remove generated files before build

* Sat Oct 08 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- fix buildrequires

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- remove patches 2, 14, 15, 17, 18, 19, 20 (merged upstream)

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-7mdk 
- update patch3 to fix Mdk bug #16561

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-6mdk 
- Update patch20, don't set default keyboard config (Mdk bug #18250)

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-5mdk
- rebuild to remove glitz dep

* Fri Sep 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-4mdk 
- Patch20 (CVS): fix keyboard applet, don't save config at login

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-3mdk 
- Patch17 (CVS): fix keyboard drawing with gtk+ 2.8
- Patch18 (CVS): add clipboard manager
- Patch19 (CVS): fix crash and mute with multimedia keys

* Tue Jul 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-2mdk
- Patch16 : display icons when control-center is not started from GNOME
 (Mdk bug #16767)
- Fix missing icon for menu entry (Mdk bug #16764)

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- rediff patch 14
- New release 2.10.2

* Sat May 14 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.1-5mdk
- add BuildRequires: intltool

* Sat May 07 2005 Pascal Terjan <pterjan@mandriva.org> 2.10.1-4mdk
- fix build on x86_64

* Fri Apr 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-3mdk 
- Patch15: fix icons order in control-center (found by Arnaud)

* Sun Apr 24 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- fix buildrequires

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- Regenerate patches 2, 3
- Remove patches 4, 5, 6, 9, 10 (merged upstream)
- Patch14 (CVS): use new API for menu

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-6mdk 
- Add source1 : list some default backgrounds we are shipping

* Fri Mar 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-5mdk 
- Patch13: fix keybinding when keysim are not available

* Wed Mar 02 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.2-4mdk
- Fix menu generated (fix kcmshell background)

* Tue Mar 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-3mdk 
- Patch11: enable more multimedia keys
- Patch12 (Debian): fix detection of pmu (ppc)

* Wed Feb 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Patch10 (CVS): fix infinite loop when changing theme

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-1mdk 
- Release 2.8.2
- Regenerate patches 3, 7
- Remove patches 8 & 10 (merged upstream)

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-9mdk 
- Patch10: fix browser default location when using multimedia keys (Mdk bug #13361)

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-8mdk 
- Update patch3 so selecting Firefox really work and set sensible name
  for www-browser (Mdk bug #13480)

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-7mdk 
- Update patch9 with final version

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-6mdk 
- Patch9 : fix highlight cursor mode

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-5mdk 
- Rebuild with latest howl

* Mon Dec 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-4mdk 
- Update patch8 with latest version from CVS

* Sun Dec 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-3mdk
- remove obsolete menu entry

* Tue Nov 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk
- Patch8 (Arnaud): fix audio mixer when resuming (Mdk bug #11524)

* Tue Oct 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patches 1, 4, 5 (merged upstream)
- Regenerate patches 2, 8
- Patch4 (Fedora): don't show hyper if its mapped to super
- Patch5 (Fedora): add preview in background file selector
- Patch6 (Fedora): Install icon theme should untar it into $HOME/.icons
- Patch7 : fix logout action for keybinding and use Ctrl-Alt-Del for it

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-8mdk
- Patch5 (Michal Bukovjan): fix volume change for all locale (Mdk bug #11310)

* Wed Sep 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-7mdk
- Update patch4 to really fix bug 10421

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-6mdk
- Patch4 (CVS): fix window location (Mdk bug #10421)

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-5mdk
- Patch3: fix name for Mozilla in default apps capplet (Mdk bug #10704)

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-4mdk
- Patch2: fix crash in background capplet with local encoded filename 
  (Mdk bug #10353)

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-3mdk
- Patch1 : fix missing icons in application window manager bar
- Enable libtoolize

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix BuildRequires

* Sat Apr 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix all icons in the menu entries
- new version

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.3-1mdk
- Release 2.6.0.3 (with Gtz help)
- Remove patches 1, 2, 3, 4 (merged upstream)

